@import (reference) 'mixins';
@import (reference) 'settings';

html {
  background: @page-background-color;
  box-sizing: border-box;
  color: @page-color;
  font-family: @page-font-family;
  font-size: @page-font-size;
  height: 100%;
  line-height: @page-line-height;
}

*, *::before, *::after {
  box-sizing: inherit;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  margin: 0;
}

a {
  color: @page-link-color;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

// Avoid having to deal with margin collapsing. This approach requires
// containers to have a top padding of 1rem for typographic elements to look
// good.
h1, h2, h3, h4, h5, h6, p, dl, ol, ul, blockquote {
  margin-top: 0;
  margin-bottom: 1rem;
}

ol ol,
ol ul,
ul ol,
ul ul {
  margin-bottom: 0;
}

button,
input,
optgroup,
option,
select,
textarea {
  font: inherit;
}
